var app = angular.module('PasswordMonitor', ['ui.bootstrap', 'ui.router', 'easypiechart']);
app.config(function ($stateProvider, $urlRouterProvider, $tooltipProvider) {

    $urlRouterProvider.otherwise('/captured_entries');

    $stateProvider.state('capturedEntries', {
        url: '/captured_entries',
        templateUrl: function () {
            return chrome.runtime.getURL('html/templates/captured_entries_tab.html');
        }
    });

    $stateProvider.state('settings', {
        url: '/settings',
        templateUrl: function () {
            return chrome.runtime.getURL('html/templates/settings_tab.html');
        },
        onEnter: function () {

        }
    });

    $tooltipProvider.options({
        popupDelay: 500,
        appendToBody: true
    });
});