// Karma configuration
// Generated on Thu Mar 26 2015 07:59:15 GMT+0000 (GMT)

module.exports = function (config) {
    config.set({

        // base path that will be used to resolve all patterns (eg. files, exclude)
        basePath: '../',


        // frameworks to use
        // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
        frameworks: ['jasmine'],


        // list of files / patterns to load in the browser
        files: [
            'js/lib/zxcvbn-async.js',
            'js/lib/zxcvbn.js',
            'js/lib/angular.min.js',
            'js/lib/angular-mocks.js',
            'js/lib/ui-bootstrap-tpls-0.12.0.min.js',
            'js/BackgroundCtrl.js',
            'js/IconService.js',
            'js/DataUploadService.js',
            'js/HashingService.js',
            'js/ManglingService.js',
            'js/IdbService.js',
            'js/MonitorService.js',
            'js/TimerService.js',
            'test/spec/background/services/**/*.js'
        ],


        // list of files to exclude
        exclude: [],

        proxies: {
        },


        // preprocess matching files before serving them to the browser
        // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
        preprocessors: {},


        // test results reporter to use
        // possible values: 'dots', 'progress'
        // available reporters: https://npmjs.org/browse/keyword/karma-reporter
        reporters: ['progress'],


        // web server port
        port: 9876,


        // enable / disable colors in the output (reporters and logs)
        colors: true,


        // level of logging
        // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
        logLevel: config.LOG_INFO,


        // enable / disable watching file and executing tests whenever any file changes
        autoWatch: true,


        // start these browsers
        // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
        browsers: ['Chrome'],

        browserNoActivityTimeout: 60000,
        //browserDisconnectTolerance: 1,
        browserDisconnectTimeout: 10000,


        // Continuous Integration mode
        // if true, Karma captures browsers, runs the tests and exits
        singleRun: true

    });
};
